### Method

# AppStream Component add_url

since: 0.6.2

#### Declaration [src]

    void
    as_component_add_url (
      AsComponent* cpt,
      AsUrlKind url_kind,
      const gchar* url
    )

#### Description [src]

Adds some URL data to the component.

Available since: 0.6.2

#### Parameters

`url_kind`

  Type: `AsUrlKind`

  The URL kind, e.g. `AS_URL_KIND_HOMEPAGE`.

`url`

  Type: `const gchar*`

  The full URL.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.